<?php
class iHRIS_Module_Baylor_Mentorship extends I2CE_Module {
    public static function getMethods() {
        return array(
            'iHRIS_PageView->action_person_baylor_mentorship' => 'action_person_baylor_mentorship'
            
            );
    }
 
    public static function getHooks() {
        return array(
                'validate_form_person_baylor_mentorship' => 'validate_form_person_baylor_mentorship'
                );
    }
    public function action_person_baylor_mentorship($obj) {
        if (!$obj instanceof iHRIS_PageView) {
            return;
        }
        return $obj->addChildForms('person_baylor_mentorship', 'end_date');
    }
    /**
     * Checks to make sure the end date is after the start date for the person position.
     * @param I2CE_Form $form
     */
    public function validate_form_person_baylor_mentorship( $form ) {
        if ( $form->start_date->isValid() && $form->end_date->isValid() ) {
            if ( $form->start_date->compare( $form->end_date ) < 0 ) {
                $form->getField('end_date')->setInvalid( "The end date must be after the start date." );
            }
        }

        $personID = $form->getParent();
        $ids = I2CE_FormStorage::search('person_baylor_mentorship', $personID );
        //which would get the ids of the trainings for the person with id 'person|23123'.

        //You can then loop through each of these ids....
          $form_factory = I2CE_FormFactory::instance();
          $success = true;
          foreach($ids as $id) {
              $mentorshipObj = $form_factory->createContainer('person_baylor_mentorship|' . $id);
              if (!$mentorshipObj instanceof iHRIS_PersonBaylor_Mentorship) {
                  continue;
              }
              $mentorshipObj->populate();

              //do the checks for the dates here.
                if (( $form->start_date->compare( $mentorshipObj->start_date ) > 0 ) || ( $form->start_date->compare( $mentorshipObj->end_date ) < 0 )) {
                   $success = false;
                   break; 
                } else if (( $form->end_date->compare( $mentorshipObj->start_date ) > 0 ) || ( $form->end_date->compare( $mentorshipObj->end_date ) < 0 )) {
                   $success = false;
                   break; 
                }else if(( $form->start_date->compare( $mentorshipObj->start_date ) < 0 ) && ( $form->end_date->compare( $mentorshipObj->end_date ) > 0 )) {
                   $success = false;
                   break; 
                }
           }
      
 
          if (!$success) {
             $form->getField( "end_date" )->setInvalid( "The dates of the training overlap with another training" );
          }
     

}
   }


?>
