<?php

class iHRIS_Module_Baylor_Training extends I2CE_Module {


    public static function getMethods() {
        return array(
            'iHRIS_PageView->action_person_baylor_training' => 'action_person_baylor_training'
            );
    }

    /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_person_baylor_training' => 'validate_form_person_baylor_training',
                );
    }

     public function action_person_baylor_training( $page ) {
        if ( !$page instanceof iHRIS_PageView ) {
            I2CE::raiseError("invalid call");
            return false;
        }
        return $page->addLastChildForm( 'person_baylor_training', 'end_date' );
    }
/*
    public function action_person_baylor_training($obj) {
        if (!$obj instanceof iHRIS_PageView) {
            I2CE::raiseError("invalid call");
            return false;;
        }
        //do nothing so that an warning message is avoided
        return true;
    }
*/

    /**
     * Checks to make sure the end of applicability is after the start of applicability.
     * @param I2CE_Form $form
     */
    public function validate_form_person_baylor_training( $form ) {
        if ( $form->start_date->isValid() && $form->end_date->isValid() ) {
            if ($form->start_date->compare( $form->end_date ) < 0 ) {
                //$form->getField( 'end_date' )->setInvalid( $form->start_date );
                $form->getField( 'end_date' )->setInvalid( 'The end date must be after the start date.' );
            }
        }

          
         $personID = $form->getParent();
        $ids = I2CE_FormStorage::search('person_baylor_training', $personID );
     
          $form_factory = I2CE_FormFactory::instance();
    
          foreach($ids as $id) {
              $trainingObj = $form_factory->createContainer('person_baylor_training|' . $id);
               
              if (!$trainingObj instanceof iHRIS_PersonBaylor_Training) {
                  continue;
           
             }
             
                $trainingObj->populate();
     
               if (( $form->start_date->compare( $trainingObj->start_date ) < 0 ) && ( $form->start_date->compare( $trainingObj->end_date ) > 0 )){                
                       $form->getField( "end_date" )->setInvalid( "The dates of the training overlap with another training, One cannot attend two trainings within the same period of time" ); 
                       break;
           }else if (( $form->end_date->compare( $trainingObj->start_date ) < 0 ) && ( $form->end_date->compare( $trainingObj->end_date ) > 0 )){                
                       $form->getField( "end_date" )->setInvalid( "The dates of the training overlap with another training, One cannot attend two trainings within the same period of time" ); 
                       break;
          // }else if (( $form->start_date->compare( $trainingObj->end_date ) > 0 ) && ( $form->end_date->compare( $trainingObj->end_date ) > 0 )){                
             //          $form->getField( "end_date" )->setInvalid( "The dates of the training overlap with another training" ); 
               //        break;
           }
    
 }


}
}

