<?php


class iHRIS_Module_Trainer extends I2CE_Module {



    /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_trainer' => 'validate_form_trainer',
                );
    }

    /**
     * Perform extra validation for the trainer form.
     * A new trainer record needs to verify there aren't any existing 
     * records with the same name.
     * @param I2CE_Form $form
     */
    public function validate_form_trainer( $form ) {

        $search = array();
        $surname_ignore = false;
        if ( isset( $form->surname_ignore ) ) {
            $surname_ignore = $form->surname_ignore;
        }
        if ( I2CE_ModuleFactory::instance()->isEnabled('forms-storage') 
             && $form->getId() == 0 && !$surname_ignore
             && I2CE_Validate::checkString( $form->surname ) 
             && I2CE_Validate::checkString( $form->firstname ) ) {
            $where = array(
                'operator' => 'AND',
                'operand'=>array(
                    0=>array(
                        'operator'=>'FIELD_LIMIT',
                        'field'=>'surname',
                        'style'=>'lowerequals',
                        'data'=>array('value'=>strtolower($form->surname))
                        ),
                    1=>array(
                        'operator'=>'FIELD_LIMIT',
                        'field'=>'firstname',
                        'style'=>'lowerequals',
                        'data'=>array('value'=>strtolower($form->firstname))                        
                        )
                    )
                );
            $results = I2CE_FormStorage::listFields('trainer',array('surname','firstname'),false,$where,array('surname','firstname'));
            if( count($results) > 0 ) {
                foreach ($results as $id=>&$data) {
                    $data = implode(', ', $data);
                }
                $form->getField('surname')->setInvalid( "Duplicate records match this record's name:",
                        array( "viewtrainer?id=" => $results ) );
            }
        }
        
    }


   

}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
